package com.kingdee.eas.custom.dormitorysystem.waterelectricity;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class WaterElectricitySpecialEntryCollection extends AbstractObjectCollection 
{
    public WaterElectricitySpecialEntryCollection()
    {
        super(WaterElectricitySpecialEntryInfo.class);
    }
    public boolean add(WaterElectricitySpecialEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(WaterElectricitySpecialEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(WaterElectricitySpecialEntryInfo item)
    {
        return removeObject(item);
    }
    public WaterElectricitySpecialEntryInfo get(int index)
    {
        return(WaterElectricitySpecialEntryInfo)getObject(index);
    }
    public WaterElectricitySpecialEntryInfo get(Object key)
    {
        return(WaterElectricitySpecialEntryInfo)getObject(key);
    }
    public void set(int index, WaterElectricitySpecialEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(WaterElectricitySpecialEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(WaterElectricitySpecialEntryInfo item)
    {
        return super.indexOf(item);
    }
}